/*#########################################################################
#                                                                         #
#   Simple script for testing the scriptable service browser              #
#   by creating a simple static browser with some cool radio              #
#   streams.                                                              #
#                                                                         #
#                                                                         #
#                                                                         #
#   (C) 2009, 2010 Marek Walczak  marek@kubdat.com                        #
#   								          #
#   						                          #
#   							                  #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

function Station( name, url, description )
{
    this.name = name;
    this.url = url;
    this.description = description;
    this.show = true;
}


categories = new Object;

categories["Miastomuzyki"]= new Array (
new Station( "RMF Alternatywa",
             "http://www.miastomuzyki.pl/n/rmfalternatywa.pls", "RMF Alternatywa" ),
new Station( "RMF FM",
             "http://www.miastomuzyki.pl/n/rmffm.pls", "RMF FM" ),
new Station( "RMF Polski Rock",
             "http://www.miastomuzyki.pl/n/rmfpolskirock.pls", "RMF Polski Rock" ),
new Station( "RMF Rock",
             "http://www.miastomuzyki.pl/n/rmfrock.pls", "RMF Rock" ),
new Station( "RMF Classic",
             "http://www.miastomuzyki.pl/n/rmfclassic.pls", "RMF Classic" ),
new Station( "RMF Maxxx",
             "http://www.miastomuzyki.pl/n/rmfmaxxx.pls", "RMF Maxxx" ),
new Station( "RMF Muzzo",
             "http://www.miastomuzyki.pl/n/rmfmuzzo.pls", "RMF Muzzo"),
new Station( "RMF PRL",
             "http://www.miastomuzyki.pl/n/rmfprl.pls", "RMF PRL"),
new Station( "RMF Lady Pank",
             "http://www.miastomuzyki.pl/n/rmfladypank.pls", "RMF Lady Pank"),
new Station( "RMF Depeche Mode",
             "http://www.miastomuzyki.pl/n/rmfdepechemode.pls",
             "RMF Depeche Mode"),
new Station( "RMF 50s",
             "http://www.miastomuzyki.pl/n/rmf50s.pls", "RMF 50s"),
new Station( "RMF 60s",
             "http://www.miastomuzyki.pl/n/rmf60s.pls", "RMF 60s"),
new Station( "RMF 70s",
             "http://www.miastomuzyki.pl/n/rmf70s.pls", "RMF 70s"),
new Station( "RMF 80s",
             "http://www.miastomuzyki.pl/n/rmf80s.pls", "RMF 80s"),
new Station( "RMF 90s",
             "http://www.miastomuzyki.pl/n/rmf90s.pls", "RMF 90s"),
new Station( "RMF Baby",
             "http://www.miastomuzyki.pl/n/rmfbaby.pls", "RMF Baby"),
new Station( "RMF Bravo",
             "http://www.miastomuzyki.pl/n/rmfbravo.pls", "RMF Bravo"),
new Station( "RMF Blues",
             "http://www.miastomuzyki.pl/n/rmfblues.pls", "RMF Blues"),
new Station( "RMF Chillout",
             "http://www.miastomuzyki.pl/n/rmfchillout.pls", "RMF Chillout"),
new Station( "RMF Classic Rock",
             "http://www.miastomuzyki.pl/n/rmfclassicrock.pls", "RMF Classic Rock"),
new Station( "RMF Club",
             "http://www.miastomuzyki.pl/n/rmfclub.pls"),
new Station( "RMF Club Breaks",
             "http://www.miastomuzyki.pl/n/rmfclubbreaks.pls"),
new Station( "RMF Cuba",
             "http://www.miastomuzyki.pl/n/rmfcuba.pls"),
new Station( "RMF Dance",
             "http://www.miastomuzyki.pl/n/rmfdance.pls"),
new Station( "RMF Electro Shockwave",
             "http://www.miastomuzyki.pl/n/rmfelectroshockwave.pls"),
new Station( "RMF Extra",
             "http://www.miastomuzyki.pl/n/rmfextra.pls"),
new Station( "RMF Flamenco",
             "http://www.miastomuzyki.pl/n/rmfflamenco.pls"),
new Station( "RMF Francais",
             "http://www.miastomuzyki.pl/n/rmffrancais.pls"),
new Station( "RMF Gold",
             "http://www.miastomuzyki.pl/n/rmfgold.pls"),
new Station( "RMF Groove",
             "http://www.miastomuzyki.pl/n/rmfgroove.pls"),
new Station( "RMF Hip Hop",
             "http://www.miastomuzyki.pl/n/rmfhiphop.pls"),
new Station( "RMF Hotnew",
             "http://www.miastomuzyki.pl/n/rmfhotnew.pls"),
new Station( "RMF Love",
             "http://www.miastomuzyki.pl/n/rmflove.pls"),
new Station( "RMF Maxxx Hop Bęc",
             "http://www.miastomuzyki.pl/n/rmfhopbec.pls"),
new Station( "RMF MJ",
             "http://www.miastomuzyki.pl/n/rmfmj.pls"),
new Station( "RMF Muzyka Filmowa",
             "http://www.miastomuzyki.pl/n/rmffilmowa.pls"),
new Station( "RMF Nippon",
             "http://www.miastomuzyki.pl/n/rmfnippon.pls"),
new Station( "RMF Party",
             "http://www.miastomuzyki.pl/n/rmfparty.pls"),
new Station( "RMF Poplista",
             "http://www.miastomuzyki.pl/n/rmfpoplista.pls"),
new Station( "RMF Queen",
             "http://www.miastomuzyki.pl/n/rmfqueen.pls"),
new Station( "RMF Reggae",
             "http://www.miastomuzyki.pl/n/rmfreggae.pls"),
new Station( "RMF Rumor",
             "http://www.miastomuzyki.pl/n/rmfrumor.pls"),
new Station( "RMF Select",
             "http://www.miastomuzyki.pl/n/rmfselect.pls"),
new Station( "RMF Szanty",
             "http://www.miastomuzyki.pl/n/rmfszanty.pls"),
new Station( "RMF Ziom",
             "http://www.miastomuzyki.pl/n/rmfziom.pls"),
new Station( "eLO RMF",
             "http://www.miastomuzyki.pl/n/rmfelo.pls"),
new Station( "RMF Piosenka Literacka",
             "http://79.134.32.117:8000/rmf_piosenka_literacka" ),
new Station( "RMF Celtic",
             "http://www.miastomuzyki.pl/n/rmfceltic.pls" ),
new Station( "RMF Kalinka",
             "http://www.miastomuzyki.pl/n/rmfkalinka.pls" ),
new Station( "RMF Grunge",
             "http://www.miastomuzyki.pl/n/rmfgrunge.pls" ),
new Station( "RMF R&B",
             "http://www.miastomuzyki.pl/n/rmfrnb.pls" ),
new Station( "RMF Polskie Przeboje",
             "http://www.miastomuzyki.pl/n/rmfpprzeboje.pls"),
new Station( "RMF Słoneczne Przeboje",
             "http://www.miastomuzyki.pl/n/rmfsprzeboje.pls"),
new Station( "RMF FMF",
             "http://79.134.32.117:8000/rmf_fmf" ),
new Station( "RMF Cover",
             "http://79.134.32.117:8000/rmf_cover" ),
new Station( "RMF Smooth Jazz",
             "http://www.miastomuzyki.pl/n/rmfsmjazz.pls" ),
new Station( "RMF Wasza Muzyka",
             "http://www.miastomuzyki.pl/n/rmfwmuzyka.pls" ),
new Station( "RMF Hard&Heavy",
             "http://www.miastomuzyki.pl/n/rmfhardandheavy.pls"),
new Station( "RMF Pop&Colors",
             "http://www.miastomuzyki.pl/n/rmfpnc.pls"),
new Station( "RMF Support",
             "http://www.miastomuzyki.pl/n/rmfsupport.pls"),
new Station( "RMF Michael Jackson",
             "http://188.165.12.72:8000/rmf_Michael_Jackson"),
new Station( "RMF Chopin",
	     "http://www.miastomuzyki.pl/n/rmfchopin.pls"),
new Station( "20 lat RMF",
	     "http://188.165.12.72:8000/rmf_20lat"),
new Station( "RMF Audioriver",
	     "http://www.miastomuzyki.pl/n/rmfaudioriver.pls"),
new Station( "RMF Football",
	     "http://188.165.12.72:8000/rmf_football"),
new Station( "RMF Coke Live Music Festival",
	     "http://188.165.12.72:8000/coke_lmf"),
new Station( "RMF Off Festival",	
	     "http://188.165.12.72:8000/rmf_off_festival"),
new Station ( "RMF Przebój Roku",
	      "http://www.miastomuzyki.pl/n/rmfproku.pls"),
new Station( "RMF World Music",
	     "http://188.165.12.72:8000/rmf_world_music"),
new Station( "RMF Święta",
	     "http://www.miastomuzyki.pl/n/rmfswieta.pls"),
new Station( "RMF 2000",
	     "http://www.miastomuzyki.pl/n/rmf2000.pls"),
new Station( "RMF Beatlemania",
	     "http://www.miastomuzyki.pl/n/rmfbeatlemania.pls"),
new Station( "RMF The best of MM",
	     "http://www.miastomuzyki.pl/n/rmfbestofmm.pls"),
new Station( "RMF 2",
	     "http://188.165.12.72:8000/rmf_2"),
new Station( "RMF 3",
	     "http://188.165.12.72:8000/rmf_3"),
new Station( "RMF 4",
	     "http://188.165.12.72:8000/rmf_4"),
new Station( "RMF 5",
	     "http://188.165.12.72:8000/rmf_5"),
new Station( "RMF Nostalgia",
	     "http://188.165.12.72:8000/rmf_nostalgia"),
new Station( "RMF Przebój Lata",
             "http://195.150.20.225:8000/rmf_przeboj_lata")
);


categories["Polskastacja.pl"]=new Array (
new Station( "Polskastacja.pl - Muzyka Francuska",
             "http://polskastacja.pl/play/francja.pls" ),
new Station( "Polskastacja.pl - Szanty",
             "http://polskastacja.pl/play/szanty.pls" ),
new Station( "Polskastacja.pl - Blues",
             "http://polskastacja.pl/play/blues.pls" ),
new Station( "Polskastacja.pl - Etno POP",
             "http://polskastacja.pl/play/etnopop.pls" ),
new Station( "Polskastacja.pl - Modern Rock",
             "http://polskastacja.pl/play/mrock.pls" ),
new Station( "Polskastacja.pl - Biesiada",
             "http://polskastacja.pl/play/biesiada.pls" ),
new Station( "Polskastacja.pl - Dzieciom",
             "http://polskastacja.pl/play/dzieciom.pls" ),
new Station( "Polskastacja.pl - Latino",
             "http://polskastacja.pl/play/latino.pls"),
new Station( "Polskastacja.pl - Hot 100",
             "http://polskastacja.pl/play/hot100.pls" ),
new Station( "Polskastacja.pl - Piosenki z Filmów",
             "http://polskastacja.pl/play/piosenkifilmowe.pls" ),
new Station( "Polskastacja.pl - Poezja Śpiewana i nie tylko ...",
             "http://polskastacja.pl/play/poezja.pls" ),
new Station( "Polskastacja.pl - Hardstyle",
             "http://polskastacja.pl/play/hardstyle.pls" ),
new Station( "Polskastacja.pl - Drum & Bass",
             "http://polskastacja.pl/play/drumbass.pls" ),
new Station( "Polskastacja.pl - CMM-Contemporary Christian",
             "http://polskastacja.pl/play/ccm.pls" ),
new Station( "Polskastacja.pl - Polska Muzyka Chrześcijanska",
             "http://polskastacja.pl/play/chrzescijanska.pls" ),
new Station( "Polskastacja.pl - Eurowizja",
             "http://polskastacja.pl/play/eurowizja.pls" ),
new Station( "Polskastacja.pl - Soul",
             "http://polskastacja.pl/play/soul.pls" ),
new Station( "Polskastacja.pl - Ballady Rockowe",
             "http://polskastacja.pl/play/balladyrockowe.pls" ),
new Station( "Polskastacja.pl - Electro-House",
             "http://polskastacja.pl/play/electrohouse.pls" ),
new Station( "Polskastacja.pl - Polski Hip Hop",
             "http://polskastacja.pl/play/polskihh.pls" ),
new Station( "Polskastacja.pl - RnB",
             "http://polskastacja.pl/play/rnb.pls" ),
new Station( "Polskastacja.pl - Era Disco",
             "http://polskastacja.pl/play/eradisco.pls" ),
new Station( "Polskastacja.pl - Mocne Brzmienie Rocka",
             "http://polskastacja.pl/play/mocne.pls" ),
new Station( "Polskastacja.pl - Smooth Jazz",
             "http://polskastacja.pl/play/smoothjazz.pls" ),
new Station( "Polskastacja.pl - Italia",
             "http://polskastacja.pl/play/italia.pls" ),
new Station( "Polskastacja.pl - Klasyka Muzyki Elektronicznej",
             "http://polskastacja.pl/play/elektronika.pls" ),
new Station( "Polskastacja.pl - Club Hits",
             "http://polskastacja.pl/play/clubhits.pls" ),
new Station( "Polskastacja.pl - Hot House",
             "http://polskastacja.pl/play/hothouse.pls" ),
new Station( "Polskastacja.pl - DJ Top 50",
             "http://polskastacja.pl/play/djtop50.pls" ),
new Station( "Polskastacja.pl - Chillout",
             "http://polskastacja.pl/play/chillout.pls"),
new Station( "Polskastacja.pl - Polskie Niezapomniane Przeboje",
             "http://polskastacja.pl/play/pnp_hq.pls" ),
new Station( "Polskastacja.pl - Country",
             "http://polskastacja.pl/play/country.pls" ),
new Station( "Polskastacja.pl - Party",
             "http://polskastacja.pl/play/party.pls" ),
new Station( "Polskastacja.pl - Trax",
             "http://polskastacja.pl/play/trax.pls" ),
new Station( "Polskastacja.pl - Jazz",
             "http://polskastacja.pl/play/jazz.pls" ),
new Station( "Polskastacja.pl - Folk",
             "http://polskastacja.pl/play/folk.pls" ),
new Station( "Polskastacja.pl - Klasycznie",
             "http://polskastacja.pl/play/klasycznie.pls" ),
new Station( "Polskastacja.pl - Przeboje We Dwoje",
             "http://polskastacja.pl/play/lovehq.pls" ),
new Station( "Polskastacja.pl - Muzyka Filmowa",
             "http://polskastacja.pl/play/film.pls" ),
new Station( "Polskastacja.pl - Hip Hop",
             "http://polskastacja.pl/play/hiphop.pls"),
new Station( "Polskastacja.pl - Disco Polo Radio",
             "http://polskastacja.pl/play/discopolohq.pls" ),
new Station( "Polskastacja.pl - House & Dance",
             "http://polskastacja.pl/play/housedancehq.pls" ),
new Station( "Polskastacja.pl - Największe Przeboje 60 70",
             "http://polskastacja.pl/play/oldieshq.pls" ),
new Station( "Polskastacja.pl - Eden",
             "http://polskastacja.pl/play/eden.pls" ),
new Station( "Polskastacja.pl - W rytmie Reggae",
             "http://polskastacja.pl/play/reggae.pls" ),
new Station( "Polskastacja.pl - Muzyka na Topie",
             "http://polskastacja.pl/play/mnt_hq.pls"),
new Station( "Polskastacja.pl - Tylko Polskie Przeboje",
             "http://polskastacja.pl/play/all_hq.pls"),
new Station( "Polskastacja.pl - Tylko Rock",
             "http://polskastacja.pl/play/tr_hq.pls"),
new Station( "Polskastacja.pl - Największe Przeboje 80-90",
             "http://polskastacja.pl/play/np_hq.pls"),
new Station( "Polskastacja.pl - 80 & ItaloDisco",
             "http://polskastacja.pl/play/italodisco.pls" )
);

categories["Eska"]=new Array (
new Station( "Eska Trójmiasto",
             "http://poznan5-1.radio.pionier.net.pl:8000/eska-trojmiasto.mp3"),
new Station( "Eska Impezzzka",
             "http://www.radio.pionier.net.pl/stream.pls?radio=eska-stream5"),
new Station( "Eska Xtreme",
             "http://www.radio.pionier.net.pl/stream.pls?radio=eska-stream1"),
new Station( "Eska Bydgoszcz",
             "http://91.121.166.33:9440/" ),
new Station( "Eska Łódź",
             "http://poznan5-2.radio.pionier.net.pl:8000/eska-lodz.mp3" ),
new Station( "Eska Poznań",
             "http://sask1-4.radio.pionier.net.pl:8000/pl/eska-poznan.mp3" ),
new Station( "Eska Szczecin",
             "http://sask1-4.radio.pionier.net.pl:8000/pl/eska-szczecin.mp3"),
new Station( "Eska Śląsk",
             "http://poznan5.radio.pionier.net.pl:8000/eska-slask.mp3" ),
new Station( "Eska Squad",
             "http://www.radio.pionier.net.pl/stream.pls?radio=eska-stream2"),
new Station( "Eska Club",
             "http://www.radio.pionier.net.pl/stream.pls?radio=eska-stream4"),
new Station( "Eska Live RMX",
             "http://www.radio.pionier.net.pl/stream.pls?radio=eska-stream6"),
new Station( "Eska Rock",
             "http://poznan5.radio.pionier.net.pl:8000/eskarock.mp3",
	     "http://gdansk1-1.radio.pionier.net.pl:8000/pl/eskarock.mp3"),
new Station( "Eska Warszawa",
             "http://gdansk1-2.radio.pionier.net.pl:8000/pl/eska-warszawa.mp3"),
new Station( "Eska Wrocław",
             "http://lodz.radio.pionier.net.pl:8000/pl/eska-wroclaw.mp3"),
new Station( "Eska Party",
	      "http://warszawa1-1.radio.pionier.net.pl:8000/pl/eska-stream5-1.mp3"),
new Station( "Eska Gorąca 20",
	      "http://poznan5-1.radio.pionier.net.pl:8000/eska-stream19-1.mp3"),
new Station( "Eska Hity",
	      "http://poznan5.radio.pionier.net.pl:8000/eska-stream14-1.mp3"),
new Station( "Eska Classic Rock",
	      "http://poznan5.radio.pionier.net.pl:8000/eska-stream13-1.mp3"),
new Station( "Eska Old's Cool",
	    "http://poznan5.radio.pionier.net.pl:8000/eska-stream12-1.mp3"),
new Station( "Eska Bounce",
	    "http://warszawa1-1.radio.pionier.net.pl:8000/pl/eska-stream3-1.mp3"),
new Station( "Eska Biało-czerwoni",
	    "http://poznan5-5.radio.pionier.net.pl:8000/eska-stream9-1.mp3"),
new Station( "Eska Ballads",
	      "http://poznan5-5.radio.pionier.net.pl:8000/eska-stream11-1.mp3"),
new Station( "Eska Lounqe",
	      "http://poznan5-5.radio.pionier.net.pl:8000/eska-stream10-1.mp3"),
new Station( "Eska Brit40",
	    "http://gramy01.eska.fm:8000/mos_1.mp3"),
new Station( "Eska Moja 10 hitów",
	      "http://warszawa1-1.radio.pionier.net.pl:8000/pl/eska-stream7-1.mp3"),
new Station( "Eska Puoteck",
	      "http://warszawa1-1.radio.pionier.net.pl:8000/pl/eska-stream6-1.mp3"),
new Station( "Eska Armin Van Buuren",
	      "http://gramy01.eska.fm:8000/buuren_1.mp3"),
new Station( "Eska John Digweed",
	    "http://gramy01.eska.fm:8000/digweed_1.mp3"),
new Station( "Eska Carl Cox",
	      "http://gramy01.eska.fm:8000/cox_1.mp3"),
new Station( "Eska Ferry Corsten",
	      "http://gramy01.eska.fm:8000/corsten_1.mp3"),
new Station( "Eska David Guetta",
	     "http://gramy01.eska.fm:8000/guetta_1.mp3"),
new Station( "Hity Muzodajni",
	     "http://poznan5.radio.pionier.net.pl:8000/eska-stream15-1.mp3"),
new Station( "Eska Eurotop",
	     "http://poznan5.radio.pionier.net.pl:8000/eska-stream16-1.mp3"),
new Station( "Eska Cinema",
	     "http://gramy01.eska.fm:8000/cinema_1.mp3"),
new Station( "Eska Mymusic",
	     "http://gramy01.eska.fm:8000/stream17_1.mp3"),
new Station( "Eska Teens",
	     "http://gramy01.eska.fm:8000/stream19_1.mp3"),
new Station( "Eska TotalFresh",
	     "http://gramy01.eska.fm:8000/stream16_1.mp3"),
new Station( "Eska Xmas",
	     "http://poznan5.radio.pionier.net.pl:8000/eska-stream17-1.mp3"),
new Station( "Eska Alternative",
	     "http://gramy01.eska.fm:8000/stream21_2.mp3"),
new Station( "Eska TekstyFM",
	     "http://gramy01.eska.fm:8000/stream24_1.mp3"),
new Station( "Eska Famme Fatale Exclusive",	     
	     "http://gramy01.eska.fm:8000/stream18_1.mp3"),
new Station( "Eska Polski Rock",
	     "http://gramy01.eska.fm:8000/stream23_1.mp3"),
new Station( "Eska ExtremalnyWF",
	     "http://gramy01.eska.fm:8000/stream22_1.mp3"),
new Station( "Eska Classic",
	     "http://gramy01.eska.fm:8000/classic_1.mp3"),
new Station( "Eska PoloTV",
	     "http://gramy01.eska.fm:8000/stream26_1.mp3"),
new Station( "Eska World",
	     "http://gramy01.eska.fm:8000/world_1.mp3"),
new Station( "Eska Kraków",
             "http://lodz.radio.pionier.net.pl:8000/pl/eska-krakow.mp3")
);

categories["Open.fm"]=new Array (
new Station( "Open.fm - Największe hity",
             "http://gr-relay-7.gaduradio.pl:10110"),
new Station( "Open.fm - Lejdis",
             "http://gr-relay-1.gaduradio.pl/48"),
new Station( "Open.fm - Po Polsku",
             "http://gr-relay-1.gaduradio.pl/1"),
new Station( "Open.fm - Queer",
             "http://gr-relay-1.gaduradio.pl/57"),
new Station( "Open.fm - Fitness",
             "http://gr-relay-1.gaduradio.pl/58"),
new Station( "Open.fm - Dance",
             "http://gr-relay-1.gaduradio.pl/31"),
new Station( "Open.fm - Freszzz",
             "http://gr-relay-1.gaduradio.pl/39"),
new Station( "Open.fm - Impreza",
             "http://gr-relay-7.gaduradio.pl:10020"),
new Station( "Open.fm - Klub 90",
             "http://gr-relay-1.gaduradio.pl/8"),
new Station( "Open.fm - Klasyki Elektroniki",
             "http://gr-relay-1.gaduradio.pl/54"),
new Station( "Open.fm - House",
             "http://gr-relay-1.gaduradio.pl/5"),
new Station( "Open.fm - Trance",
             "http://gr-relay-1.gaduradio.pl/7"),
new Station( "Open.fm - WEF",
             "http://gr-relay-1.gaduradio.pl/50"),
new Station( "Open.fm - Drum'n'Bass",
             "http://gr-relay-1.gaduradio.pl/41"),
new Station( "Open.fm - 100% Michael Jackson",
             "http://gr-relay-1.gaduradio.pl/10"),
new Station( "Open.fm - Disco Polo",
             "http://gr-relay-7.gaduradio.pl:10210"),
new Station( "Open.fm - Biesiada Śląska",
             "http://gr-relay-1.gaduradio.pl/66"),
new Station( "Open.fm - Biesiada",
             "http://gr-relay-1.gaduradio.pl/59"),
new Station( "Open.fm - Italo Disco",
             "http://gr-relay-1.gaduradio.pl/27"),
new Station( "Open.fm - Classic Disco",
             "http://gr-relay-1.gaduradio.pl/34"),
new Station( "Open.fm - Old Skool RAP",
             "http://gr-relay-1.gaduradio.pl/36"),
new Station( "Open.fm - Base",
             "http://gr-relay-1.gaduradio.pl/26"),
new Station( "Open.fm - Hip Hop",
             "http://gr-relay-7.gaduradio.pl:10230"),
new Station( "Open.fm - Hip Hop PL",
             "http://gr-relay-1.gaduradio.pl/24"),
new Station( "Open.fm - Reggaeneracja",
             "http://gr-relay-1.gaduradio.pl/30"),
new Station( "Open.fm - Polish Reggae Stylee",
             "http://gr-relay-1.gaduradio.pl/22"),
new Station( "Open.fm - Feel the Groove",
             "http://gr-relay-1.gaduradio.pl/47"),
new Station( "Open.fm - Ska Roots Reggae",
             "http://gr-relay-1.gaduradio.pl/44"),
new Station( "Open.fm - Dancehall",
             "http://gr-relay-1.gaduradio.pl/56"),
new Station( "Open.fm - Chillout",
             "http://gr-relay-1.gaduradio.pl/33"),
new Station( "Open.fm - Muzyka Klasyczna",
             "http://gr-relay-1.gaduradio.pl/67"),
new Station( "Open.fm - Latino",
             "http://gr-relay-1.gaduradio.pl/19"),
new Station( "Open.fm - Jazz",
             "http://gr-relay-1.gaduradio.pl/25"),
new Station( "Open.fm - Smooth Jazz",
             "http://gr-relay-1.gaduradio.pl/60"),
new Station( "Open.fm - Avant Jazz",
             "http://gr-relay-1.gaduradio.pl/63"),
new Station( "Open.fm - Ballady Wszechczasów",
             "http://gr-relay-1.gaduradio.pl/20"),
new Station( "Open.fm - We Dwoje",
             "http://gr-relay-1.gaduradio.pl/4"),
new Station( "Open.fm - Przeboje Lat 90",
             "http://gr-relay-1.gaduradio.pl/14"),
new Station( "Open.fm - Wyjątkowe Lata 80",
             "http://gr-relay-7.gaduradio.pl:10030"),
new Station( "Open.fm - Magia Lat 70",
             "http://gr-relay-1.gaduradio.pl/17"),
new Station( "Open.fm - Szalone Lata 60",
             "http://gr-relay-1.gaduradio.pl/18"),
new Station( "Open.fm - Goldies Oldies",
             "http://gr-relay-1.gaduradio.pl/46"),
new Station( "Open.fm - Alternatywa",
             "http://gr-relay-1.gaduradio.pl/45"),
new Station( "Open.fm - 100% Metallica",
             "http://gr-relay-1.gaduradio.pl/62"),
new Station( "Open.fm - Pop-Rock Zone",
             "http://gr-relay-1.gaduradio.pl/53"),
new Station( "Open.fm - Rock Ballady",
             "http://gr-relay-1.gaduradio.pl/61"),
new Station( "Open.fm - Polski Rock",
             "http://gr-relay-1.gaduradio.pl/29"),
new Station( "Open.fm - Classic Rock",
             "http://gr-relay-1.gaduradio.pl/32"),
new Station( "Open.fm - Prog Rock",
             "http://gr-relay-1.gaduradio.pl/55"),
new Station( "Open.fm - American Rock",
             "http://gr-relay-1.gaduradio.pl/40"),
new Station( "Open.fm - Modern Rock",
             "http://gr-relay-1.gaduradio.pl/6"),
new Station( "Open.fm - Indie Rock",
             "http://gr-relay-6.gaduradio.pl/9"),
new Station( "Open.fm - Ciężkie Brzmienia",
             "http://gr-relay-1.gaduradio.pl/13"),
new Station( "Open.fm - Metalmania",
             "http://gr-relay-1.gaduradio.pl/42"),
new Station( "Open.fm - 100% Dżem",
             "http://gr-relay-1.gaduradio.pl/15"),
new Station( "Open.fm - Blues'n'Rock",
             "http://gr-relay-1.gaduradio.pl/43"),
new Station( "Open.fm - Szanty",
             "http://gr-relay-1.gaduradio.pl/28"),
new Station( "Open.fm - Kraina Łagodności",
             "http://gr-relay-1.gaduradio.pl/37"),
new Station( "Open.fm - Kids",
             "http://gr-relay-1.gaduradio.pl/16"),
new Station( "Open.fm - Wielkie Hity Filmowe",
             "http://gr-relay-1.gaduradio.pl/38"),
new Station( "Open.fm - Odgłosy Natury",
             "http://gr-relay-1.gaduradio.pl/52"),
new Station( "Open.fm - 333 Popkultowe Utwory PRL",
             "http://gr-relay-1.gaduradio.pl/49"),
new Station( "Open.fm - Viva",
             "http://gr-relay-1.gaduradio.pl/64"),
new Station( "Open.fm - MTV",
             "http://gr-relay-1.gaduradio.pl/51"),
new Station( "Open.fm - VH1",
             "http://gr-relay-1.gaduradio.pl/65"),
new Station( "Open.fm - 100% Kazik",
	     "http://gr-relay-1.gaduradio.pl/35"),
new Station( "Open.fm - Stacja Wschód",
	     "http://gr-relay-1.gaduradio.pl/68"),
new Station( "Open.fm - Beyonce",
	     "http://gr-relay-1.gaduradio.pl/77"),
new Station( "Open.fm - 100% Depeche Mode",
	     "http://gr-relay-1.gaduradio.pl/74"),
new Station( "Open.fm - Hity z reklam",
             "http://gr-relay-1.gaduradio.pl/12")
);

categories["Polskie Radio"]= new Array (
new Station( "PR - Katowice",
             "http://195.205.178.210:8000/RadioKatowice.mp3" ),
new Station( "PR - Rzeszów",
             "http://www.radio.rzeszow.pl/hi.pls" ),
new Station( "PR - Szczecin",
             "http://www.radio.szczecin.pl/onair.m3u" ),
new Station( "PR - Łódź",
             "http://www.radio.pionier.net.pl/stream.pls?radio=radiolodz" ),
new Station( "PR - Program 1",
             "mms://stream.polskieradio.pl/program1"),
new Station( "PR - Program 3",
             "mms://stream.polskieradio.pl/program3"),
new Station( "PR - Program 2",
             "mms://stream.polskieradio.pl/program2"),
new Station( "Radio Parlament",
             "mms://stream.polskieradio.pl/parlament"),
new Station( "Radio Czwórka",
             "mms://stream.polskieradio.pl/program4"),
new Station( "Radio Polonia",
             "mms://stream.polskieradio.pl/zagranica"),
new Station( "PR - Białystok",
             "http://gdansk.radio.pionier.net.pl:8000/pl/radiobia.ogg" ),
new Station( "Radio Merkury",
             "http://www.radio.pionier.net.pl/stream.pls?radio=merkury" ),
new Station( "PR - Wrocław",
             "http://www.radio.pionier.net.pl/stream.pls?radio=prwroclaw",
             ""),
new Station( "Radio Kielce",
             "http://gra.radio.kielce.com.pl:8000"),
new Station( "Radio Gdańsk",
             "http://www.radiogdansk.pl/audio/rg.pls"),
new Station( "Radio Opole",
             "http://audio.radio.opole.pl:8030/"),
new Station( "Radio Zielona Góra",
             "http://relay1.ontp.net:8000/rzg.ogg" ),
new Station( "Radio Koszalin",
             "http://94.23.22.121:9092/listen.pls" ),
new Station( "Radio Kraków",
             "http://www.radio.pionier.net.pl/stream.pls?radio=radiokrakow" ),
new Station( "Radio Elbląg",
             "http://83.149.99.45:8778/listen.pls"),
new Station( "Radio Lublin",
             "http://marconi.radio.lublin.pl/64k.m3u")
);


categories["Planeta FM"]=new Array (
new Station( "Planeta FM Bielsko-Biała",
             "http://planeta.fm/stream/planeta_bielsko.pls"),
new Station( "Planeta FM Opole",
             "http://planeta.fm/stream/planeta_opole.pls"),
new Station( "Planeta FM Katowice",
             "http://94.23.88.162:7500"),
new Station( "Planeta FM Kielce",
             "http://planeta.fm/stream/planeta_kielce.pls"),
new Station( "Planeta FM Łódź",
             "http://planeta.fm/stream/planeta_lodz.pls"),
new Station( "Planeta FM Olsztyn",
             "http://planeta.fm/stream/planeta_olsztyn.pls"),
new Station( "Planeta FM Konin",
             "http://planetakoninmp3.eurozet.pl:8600"),
new Station( "Planeta FM Poznań",
             "http://planetapoznanmp3.eurozet.pl:8600"),
new Station( "Planeta FM Warszawa",
             "http://planetamp3-01.eurozet.pl:8400"),
new Station( "Planeta House",
	     "http://planetahouse-02.eurozet.pl:8200"),
new Station( "Planeta Progressive",
	     "http://planetaproghouse-01.eurozet.pl:8200"),
new Station( "Planeta Oldskul",
	     "http://planetaoldskul-02.eurozet.pl:8200"),
new Station( "Planeta RnB",
	     "http://planetarnb-02.eurozet.pl:8200"),
new Station( "Planeta Chic",
	     "http://planetachic-02.eurozet.pl:8200"),
new Station( "Planeta FM Kraków",
             "http://planeta.fm/stream/planeta_krakow.pls")
);

categories["Fotka FM"]=new Array (
new Station( "TOP 100",
             "http://radio.emuzyka.pl/radio/top100" ),
new Station( "Radio Fotka",
             "http://radio.emuzyka.pl/radio/fotka" ),
new Station( "Tylko Polska Muzyka",
             "http://radio.emuzyka.pl/radio/polskie" ),
new Station( "Polski Rock",
             "http://radio.emuzyka.pl/radio/polskirock" ),
new Station( "Disco Polo",
             "http://radio.emuzyka.pl/radio/disco" ),
new Station( "HipHop Polska",
             "http://radio.emuzyka.pl/radio/hiphop" ),
new Station( "Wolno i Spokojnie",
             "http://radio.emuzyka.pl/radio/wolno" ),
new Station( "Złote Hity",
             "http://radio.emuzyka.pl/radio/hity" ),
new Station( "Przeboje Lat '90",
             "http://radio.emuzyka.pl/radio/przeboje90" ),
new Station( "Klubowe Bity",
             "http://radio.emuzyka.pl/radio/klub" ),
new Station( "House & Electro",
             "http://radio.emuzyka.pl/radio/house" ),
new Station( "Techno & Trance",
             "http://radio.emuzyka.pl/radio/techno" ),
new Station( "Classic Club Hits",
             "http://radio.emuzyka.pl/radio/classic" ),
new Station( "Live Set",
             "http://radio.emuzyka.pl/radio/liveset" ),
new Station( "Hardstyle",
             "http://radio.emuzyka.pl/radio/hardstyle" ),
new Station( "Minimal Techno",
             "http://radio.emuzyka.pl/radio/minimal" ),
new Station( "Black Music",
             "http://radio.emuzyka.pl/radio/black" ),
new Station( "Reggae",
             "http://radio.emuzyka.pl/radio/rege" ),
new Station( "Game Music",
             "http://radio.emuzyka.pl/radio/gamemusic" ),
new Station( "The 60's",
             "http://radio.emuzyka.pl/radio/lata60" ),
new Station( "Pop Rock",
             "http://radio.emuzyka.pl/radio/poprock" ),
new Station( "Modern Rock",
             "http://radio.emuzyka.pl/radio/modernrock" ),
new Station( "Metalcore",
             "http://radio.emuzyka.pl/radio/metalcore" ),
new Station( "Classic Metal",
             "http://radio.emuzyka.pl/radio/metalheart" ),
new Station( "Screamo",
             "http://radio.emuzyka.pl/radio/emo" ),
new Station( "Michael Jackson",
	     "http://radio.emuzyka.pl/radio/mjackson" ),
new Station( "Madonna",
	     "http://radio.emuzyka.pl/radio/madonna" ),
new Station( "Depeche Mode",
	     "http://radio.emuzyka.pl/radio/depechemode" ),
new Station( "Pearl Jam",
	     "http://radio.emuzyka.pl/radio/pearljam" ),
new Station( "Filmowe Hity",
	     "http://radio.emuzyka.pl/radio/filmowa" ),
new Station( "Drum'N'Bass",
	     "http://radio.emuzyka.pl/radio/drum" ),
new Station( "Punk Rock",
             "http://radio.emuzyka.pl/radio/punk" )
);

categories["Zet"]=new Array (
new Station( "Radio ZET",
             "http://www.radiozet.pl/content/stream/radiozet.pls",
             "mms://streaming.comtica.pl/Radiozet",
             "http://www.radiozet.pl",
             "http://www.radiozet.pl/_Images/logo-rz.gif"),
new Station( "ZET Hot",
	      "http://zethot-02.eurozet.pl:8000"),
new Station( "ZET Sade",
	      "http://zet-sade-01.eurozet.pl:8500"),
new Station( "ZET PL",
	      "http://zetpl-02.eurozet.pl:8100"),
new Station( "ZET Love",
	      "http://zetlove-01.eurozet.pl:8000"),
new Station( "ZET Soul",
	    "http://zetsoul-02.eurozet.pl:8100"),
new Station( "ZET Dance",
	      "http://zetdance-01.eurozet.pl:8000"),
new Station( "ZET Gold",
	      "http://zetgold-01.eurozet.pl:8000"),
new Station( "ZET Hits!",
	      "http://zet-hits-01.eurozet.pl:8000"),
new Station( "ZET Party",
	    "http://zetparty-01.eurozet.pl:8100"),
new Station( "ZET Rock",
	    "http://zetrock-01.eurozet.pl:8000"),
new Station( "ZET Classic Rock",
	    "http://zetclassicrock-02.eurozet.pl:8100"),
new Station( "ZET SuperGold",
	      "http://zetsupergold-01.eurozet.pl:8000"),
new Station( "ZET Kids",
	    "http://zetkids-02.eurozet.pl:8000"),
new Station( "ZET Slow",
	     "http://zet-slow-02.eurozet.pl:8200"),
new Station( "ZET 2000",
	     "http://zet-2000-02.eurozet.pl:8100"),
new Station( "ZET Chopin",
	      "http://zetchopin-02.eurozet.pl:8100"),
new Station( "ZET Classic",
	    "http://zetclassic-01.eurozet.pl:8100"),
new Station( "ZET 20 lat",
	     "http://zet-20lat-01.eurozet.pl:8000"),
new Station( "ZET Rock&Rap",
	     "http://zet-rockrap-01.eurozet.pl:8000"),
new Station( "ZET Lato",
	     "http://latozet-01.eurozet.pl:8300"),
new Station( "ZET The Beatles",
	     "http://johnlennon-02.eurozet.pl:8000"),
new Station( "Chilli ZET",
             "http://chillizetmp3-03.eurozet.pl:8400" )
);

categories["Radio GRA"]=new Array (
new Station( "Radio GRA Bydgoszcz",
             "http://live.gra.pl:9015/listen.pls"),
new Station( "Radio GRA Inowrocław",
             "http://live.gra.pl:9035/listen.pls"),
new Station( "Radio GRA Włocławek",
             "http://live.gra.pl:9025/listen.pls"),
new Station( "Radio GRA Toruń",
             "http://live.gra.pl:9005/listen.pls")
);

categories["Elka"]=new Array (
new Station( "Radio Elka Leszno",
             "http://93.181.191.252:8000/elka" )
);

categories["Religijne"]=new Array (
new Station( "Radio Maryja",
             "mms://195.94.205.211/rm" ),
new Station( "Radio RDN Małopolska",
             "http://radiointernetowe.net:7000/" ),
new Station( "Radio eR",
             "http://www.radioer.pl/sluchaj-winamp.m3u" ),
new Station( "Radio Gospel",
	     "http://sc.soundcast.pl:8890"),
new Station( "Radio Chrześcijanin",
	     "http://radiointernetowe.net:8022"),
new Station( "Radio eM",
             "http://212.106.154.230:8000/radioem2.ogg")
);

categories["Akademickie"]=new Array (
new Station( "Radio Afera",
             "http://www.radio.pionier.net.pl/stream.pls?radio=afera" ),
new Station( "Akademickie Radio Index",
             "http://shoutcast2.index.uz.zgora.pl:8002/listen.pls" ),
new Station( "Akademickie Radio Kampus",
             "http://193.0.98.66:8002/" ),
new Station( "Studenckie Radio Frycz",
             "http://91.121.31.165:8042" ),
new Station( "Akademickie Radio Centrum Lublin",
             "http://212.182.14.165:80/live" ),
new Station( "Akademickie Radio Centrum Rzeszów",
             "http://radiocentrum.pl:8000/listen.pls"),
new Station( "Radio UWMFM Olsztyn",
             "http://www.uwmfm.pl/media/uwmfm_stream.m3u"),
new Station( "Akademickie Radio LUZ",
             "http://radioluz.pwr.wroc.pl/listen.pls" ),
new Station( "Żak",
             "http://www.radio.pionier.net.pl/stream.pls?radio=radiozak" ),
new Station( "Emiter",
             "http://mp3.radioemiter.pl/mp3.pls" ),
new Station( "Radioaktywne",
             "http://radioaktywne.pl:8003" ),
new Station( "Arcyradio",
	     "http://sc.ipip.cz:8062/" ),
new Station( "Radio Studyo",
	     "http://www.radiostudyo.pl:8010/",
	     "http://www.radiostudyo.pl:8000/"),
new Station( "SIMradio",
	     "http://stream3.nadaje.com:8042/"),
new Station( "Radio 17",
	     "http://www.radio17.pl/radio17.m3u"),
new Station( "Radiofonia",
	     "http://stream.radiofonia.fm:8000/radiofonia-hi.mp3"),
new Station( "SAR",
             "http://wroclaw1-2.radio.pionier.net.pl:8000/pl/radiosar2.ogg" )
);

categories["Złote Przeboje"]= new Array (
new Station( "Radio Złote Przeboje",
             "http://fm.tuba.pl/stream.pls?radio=9"),
new Station( "Złote Przeboje - Klasyka Rocka",
             "http://fm.tuba.pl/stream.pls?radio=15",
             ""),
new Station( "Złote Przeboje - Po Polsku",
             "http://fm.tuba.pl/stream.pls?radio=18"),
new Station( "Złote Przeboje - 80",
             "http://www.radio.pionier.net.pl/stream.pls?radio=tuba4"),
new Station( "Złote Przeboje - Love Songs",
             "http://fm.tuba.pl/stream.pls?radio=25"),
new Station( "Złote Przeboje Festiwali",
             "http://fm.tuba.pl/stream.pls?radio=23"),
new Station( "Złote Przeboje Chillout",
             "http://fm.tuba.pl/stream.pls?radio=27"),
new Station( "Złote Przeboje - Film",
             "http://fm.tuba.pl/stream.pls?radio=28"),
new Station( "Złote Przeboje - 70",
             "http://stream5.radioagora.pl/tuba17-1.mp3"),
new Station( "Złote Przeboje - 60",
             "http://stream5.radioagora.pl/tuba16-1.mp3")
);

categories["Tok FM"]= new Array (
new Station( "Tok FM",
             "http://www.radio.pionier.net.pl/stream.pls?radio=radiotok" )
);

categories["Toksyna FM"]=new Array (
new Station( "Toksyna FM",
             "http://193.26.131.238:8002/", "Toksyna FM" ),
new Station( "Chillout and more",
	     "http://193.26.131.238:8052/"),
new Station( "DJ Channel",
	     "http://193.26.131.238:8042/"),
new Station( "PsyTrance",
             "http://193.26.131.238:8032/"),
new Station( "New Romantic",
             "http://193.26.131.238:8022/"),
new Station( "Elektronika",
             "http://193.26.131.238:8012/")
);

categories["Antyradio"]=new Array (
new Station( "Antyradio Kraków",
             "http://94.23.89.48:7300/listen.pls", "Antyradio" ),
new Station( "Antyradio Katowice",
             "http://94.23.89.48:7200/listen.pls" ),
new Station( "Antyradio Ballady",
	     "http://antyballads-02.eurozet.pl:8100"),
new Station( "Antyradio Greatest",
	      "http://antygreatest-01.eurozet.pl:8000"),
new Station( "Antyradio Covers",
	     "http://antycovers-02.eurozet.pl:8100"),
new Station( "Antyradio ClassicRock",
	      "http://antyclassix-01.eurozet.pl:8000"),
new Station( "Antyradio Hard",
	      "http://antyhard-01.eurozet.pl:8500"),
new Station( " Antyradio Made in Poland",
	      "http://antypl-01.eurozet.pl:8100"),
new Station( "Antyradio Warszawa",
	     "http://94.23.89.48:7000/listen.pls" )
);

categories["Radio Centrum Kalisz"]=new Array (
new Station( "Radio Centrum Kalisz",
             "http://shot4.inten.pl:8888/listen.pls")
);

categories["Białostockie Radio Jard"]=new Array (
new Station( "Białostockie Radio Jard 1",
             "http://www.jard.pl/go1aac.m3u"),
new Station( "Białostockie Radio Jard 2",
             "http://www.jard.pl/go2aac.m3u")
);

categories["Radio Bogoria"]=new Array (
new Station( "Radio Bogoria",
             "http://2.nadajnik.net:8030/")
);

categories["Radio Sudety"]=new Array (
new Station( "Radio Sudety",
             "http://shot4.inten.pl:8906/listen.pls", "Radio Sudety")
);

categories["Radio Kolor"]=new Array (
new Station( "Radio Kolor",
             "http://radiokolor.streamhost.pl:8074/listen.pls")
);

categories["Radio Krotoszyn"]=new Array (
new Station( "Radio Krotoszyn",
             "http://streamcast.pl:8256/")
);

categories["RMG Gorzów Wlkp."]=new Array (
new Station( "RMG Gorzów Wlkp",
             "http://www.rmg.fm/RMG.pls")
);

categories["Radio Dla Ciebie"]=new Array (
new Station( "Radio Dla Ciebie",
             "http://www.rdc.pl/rdc.m3u" )
);

categories["Radio RAM"]=new Array (
new Station( "Radio Ram",
             "http://sask1-3.radio.pionier.net.pl:8000/pl/radioram.ogg")
);

categories["Radio Zachód"]=new Array (
new Station( "Radio Zachód",
             "http://www.zachod.pl/RZ.pls")
);

categories["Radio Emaus"]=new Array (
new Station( "Radio Emaus",
             "http://www.radio.pionier.net.pl/stream.pls?radio=emaus")
);

categories["Roxy FM"]=new Array (
new Station( "Roxy FM",
             "http://fm.tuba.pl/stream.pls?radio=8"),
new Station( "Roxy FM Rewind",
             "http://stream6.radioagora.pl/tuba1-1.mp3"),
new Station( "Roxy Alternative",
             "http://stream5.radioagora.pl/tuba13-1.mp3"),
new Station( "Roxy FM Fresh",
             "http://stream6.radioagora.pl/tuba1-1.mp3"),
new Station( "Roxy UK",
             "http://fm.tuba.pl/stream.pls?radio=14")
);

categories["Radio PIN"]=new Array (
new Station( "Radio PIN",
             "http://1.nadajnik.net:8000")
);

categories["Radio Silesia"]=new Array (
new Station( "Radio Silesia",
             "http://www.tvs.pl/playlist/radio_silesia_mp3.m3u")
);

categories["Radio Weekend"]=new Array (
new Station( "Radio Weekend",
             "http://78.28.48.14:8000/stream.ogg.m3u" )
);

categories["Voxfm"]=new Array (
new Station( "Voxfm",
             "http://www.radio.pionier.net.pl/stream.pls?radio=voxfm" )
);

categories["Radio OKO"]=new Array (
new Station( "Radio OKO",
             "http://stream2.nadaje.com:8094/listen.pls" )
);

categories["Akadera"]=new Array (
new Station( "Akadera",
             "http://www.radio.pionier.net.pl/stream.pls?radio=akadera" )
);

categories["Radio Bez Kitu"]=new Array (
new Station( "Radio Bez Kitu",
             "http://bezkitu.com/sluchaj.m3u")
);

categories["Heavy Metal Attack"]=new Array (
new Station( "Heavy Metal Attack",
             "http://s5.radiohost.pl:7052" )
);

categories["FajerMix"]=new Array (
new Station( "FajerMix",
             "http://eu1.shoutcast24.pl:9221/" )
);

categories["Radio Parada"]=new Array (
new Station( "Radio Parada",
             "http://195.69.82.86:9000/listen.pls" )
);

categories["PiK"]=new Array (
new Station( "PiK",
             "http://stream.radiopik.pl:9006/listen.pls" )
);

categories["WaWa"]=new Array (
new Station( "WaWa",
             "http://sask1-1.radio.pionier.net.pl:8000/pl/wawa.mp3")
);

categories["Radio Victoria"]=new Array (
new Station( "Radio Victoria",
             "http://sc.soundcast.pl:8176/listen.pls" )
);

categories["Radio Nakło"]=new Array (
new Station( "Radio Nakło",
             "http://shot4.inten.pl:9998/" )
);

categories["Radio Bon Ton"]=new Array (
new Station( "Bon Ton Radio",
             "http://bonton.streamhost.pl:8092/listen.pls" )
);

categories["Szczecin FM"]=new Array (
new Station( "Szczecin FM",
             "http://stream.nadaje.com/szczecinfm.m3u" )
);

categories["Nasze Radio"]=new Array (
new Station( "Nasze Radio",
             "http://nasze.fm/online/winamp.pls" )
);

categories["MC Radio"]=new Array (
new Station( "MC Radio",
             "http://www.radio.pionier.net.pl/stream.pls?radio=mcradio" )
);

categories["Radio Alex"]=new Array (
new Station( "Radio Alex",
             "http://87.98.186.209:8000/listen.pls" )
);

categories["Radio CCM"]=new Array (
new Station( "Radio CCM",
             "http://www.radioccm.pl/gorsza.pls" )
);

categories["Radio Kaszebe"]=new Array (
new Station( "Radio Kaszebe",
             "http://shot2.inten.pl:8920/" )
);

categories["Radio Kołobrzeg"]=new Array (
new Station( "Radio Kołobrzeg",
             "http://graj.radiokolobrzeg.pl:8000/listen.pls" )
);

categories["Radio Leliwa"]=new Array (
new Station( "Radio Leliwa",
             "http://stream2.nadaje.com:8054" )
);

categories["Radio Grunge"]=new Array (
new Station( "Radio Grunge",
             "http://radiogrunge.com/radiogrunge.m3u" )
);

categories["Radio Fama"]=new Array (
new Station( "Radio Fama Kielce",
             "http://stream2.nadaje.com:8078/listen.pls")
);

categories["Radio Aplauz"]=new Array (
new Station( "Radio Aplauz",
             "http://www.e-cast.pl:9650/listen.pls")
);

categories["Muzyczne Radio"]=new Array (
new Station( "Muzyczne Radio",
             "http://muzyczneradio.pl:9900"),
new Station( "Hitplaneta",
	     "http://muzyczneradio.pl:9400"),
new Station( "Relax",
	     "http://muzyczneradio.pl:9200"),
new Station( "Nowości",
	     "http://muzyczneradio.pl:9300"),
new Station( "Strefa 89",
	     "http://muzyczneradio.pl:9500"),
new Station( "Top.pl",
	     "http://muzyczneradio.pl:9700"),
new Station( "DMC",
	     "http://muzyczneradio.pl:9600")
);

categories["iGol FM"]=new Array (
new Station( "iGol FM",
             "http://87.230.14.36:8920")
);

categories["Radio RSC"]=new Array (
new Station( "Radio RSC",
             "http://stream.nadaje.com/radiorsc.m3u")
);

categories["Radio Szanty24"]=new Array (
new Station( "Radio Szanty24",
             "http://91.121.31.165:8072/listen.pls")
);

categories["Radio Horyzont"]=new Array (
new Station( "Radio Horyzont",
             "http://www.radiohoryzont.pl/listen.m3u")
);

categories["Radio A"]=new Array (
new Station( "Radio A Chodzież",
             "http://188.165.35.27:7500/")
);

categories["Radio Muzyczna Karczma"]=new Array (
new Station( "Radio Muzyczna Karczma",
             "http://91.121.89.67:14740/listen.pls")
);

categories["Radio Piekary"]=new Array (
new Station( "Radio Piekary",
             "http://shot4.inten.pl:8412/listen.pls")
);

categories["Radio Żnin"]=new Array (
new Station( "Radio Żnin",
             "http://www.radioznin.pl/radioznin.m3u")
);

categories["Vanessa FM"]=new Array (
new Station( "Vanessa FM",
             "http://www.vanessa.com.pl/listen.pls")
);

categories["Radio Traffic"]=new Array (
new Station( "Radio Traffic",
             "http://91.121.31.165:8978/")
);

categories["Radio SUD"]=new Array (
new Station( "Radio SUD",
             "http://stream2.nadaje.com:8012/listen.pls")
);

categories["Radio Park"]=new Array (
new Station( "Radio Park",
             "http://shot.inten.pl:8048/listen.pls")
);

categories["Radio Hobby"]=new Array (
new Station( "Radio Hobby",
             "http://shouted.pl:8452")
);

categories["Radio Express"]=new Array (
new Station( "Radio Express",
             "http://stream.nadaje.com:8064/")
);

categories["Radio Bielsko"]=new Array (
new Station( "Radio Bielsko",
             "http://stream.nadaje.com:8044/listen.pls")
);

categories["Radio Bartoszyce"]=new Array (
new Station( "Radio Bartoszyce",
             "http://shoutcast1.rootnode.net:9139/stream.aac")
);

categories["Radio Alfa"]=new Array (
new Station( "Radio Alfa",
             "http://stream2.nadaje.com:8024/listen.pls")
);

categories["Radio Plus"]=new Array (
new Station( "Radio Plus",
	     "http://plus-siec-01.eurozet.pl:8500/;stream.nsv",
             "http://94.23.89.48:8500"),
new Station( "Przeboje z Młodości",
	     "http://pluszmlodosci-01.eurozet.pl:8200/;stream.nsv"),
new Station( "Boska Muzyka",
	     "http://plusboskamuzyka-01.eurozet.pl:8300/;stream.nsv"),
new Station( "Po Polsku",
	     "http://pluspl-02.eurozet.pl:8300/;stream.nsv"),
new Station( "Przeboje Ostatniej Dekady",
	     "http://plusdekady-01.eurozet.pl:8200/;stream.nsv"),
new Station( "Muzyka z Ekranu",
	     "http://pluszekranu-01.eurozet.pl:8200/;stream.nsv"),
new Station( "Miłego Dnia",
	     "http://plusmilegodnia-02.eurozet.pl:8200/;stream.nsv")
  
);

categories["Radio Pisz"]=new Array (
new Station( "Radio Pisz",
             "http://radiopisz.pl/radiopisz.pls")
);
categories["Radio Wid"]=new Array (
new Station( "Radio Wid",
             "http://server2.xpx.pl:9144/listen.pls")
);

categories["Radiosfera"]=new Array (
new Station( "Radiosfera",
             "http://www.radiosfera.pl/48.m3u")
);

categories["Radio 5"] = new Array (
new Station( "Radio 5 Suwałki",
             "http://80.54.14.252:8000/")
);

categories["Promyczek"] = new Array (
new Station( "Promyczek",
             "http://91.121.89.198:7900", "" )
);

categories["Radia Polonijne"] = new Array (
new Station( "Polskie Radio Chicago",
             "http://www.live365.com/play/polnethigh", "Polskie Radio Chicago" ),
new Station( "Wietrzne Radio 1080AM Chicago",
             "http://www.wietrzneradio.com/radio/mp3.m3u"),
new Station( "Orla.fm Live",
             "http://www.orla.fm/streaming/shout.m3u", "Orla.fm Live" ),
new Station( "Polskie Radio Londyn",
             "http://radio.prl24.net:8128/" ),
new Station( "Radio Waliza",
             "http://www.polacy.no/radio/listen.m3u", "Radio Waliza" ),
new Station( "ABC Toronto",
             "http://s2.viastreaming.net:7300/", "ABC Toronto" ),
new Station( "Radio Znad Wilii",
	     "http://stream.nadaje.com:8016/" ),
new Station( "Radio Aspekt",
	     "http://46.182.20.5:8002/"),
new Station( "Radio Humber",
	     "http://www.humber.pl/portal/uploads_user/1000/1/1.mp3")
);

categories["Blue FM Poznań"] = new Array (
new Station( "Blue FM Poznań", "http://stream4.radioagora.pl:443/bluefm.aac", "" )
);

categories["Tuba FM"] = new Array (
new Station( "Kiss FM",
             "http://stream5.radioagora.pl/tuba19-1.mp3", "Kiss FM" ),
new Station( "Blue Party",
             "http://stream5.radioagora.pl/tuba20-1.mp3", "Blue Party" ),
new Station( "Kiss the Beat",
             "http://stream6.radioagora.pl/tuba6-1.mp3", "Kiss the Beat" ),
new Station( "Smooth Jazz Cafe",
             "http://fm.tuba.pl/stream.pls?radio=5", "Smooth Jazz Cafe" ),
new Station( "Kiss the Flow",
             "http://stream6.radioagora.pl/tuba7-1.mp3", "Kiss the Flow" ),
new Station( "Radio Żyrafa",
             "http://www.tuba.fm/stream.pls?radio=21&amp;ogg=1", "Radio Żyrafa" ),
new Station( "Blue FM",
             "http://stream5.radioagora.pl/tuba12-1.mp3"),
new Station( "Radio Baobab",
             "http://stream6.radioagora.pl/tuba22-1.mp3"),
new Station( "Kotek.fm",
             "http://stream7.radioagora.pl/tuba30-1.mp3"),
new Station( "Radio Fresh New",
	     "http://stream6.radioagora.pl/tuba3-1.mp3"),
new Station( "Red Bull Music Academy Radio",
	     "http://stream6.radioagora.pl/tuba300-1.mp3"),
new Station( "Metrostacja",
	     "http://stream6.radioagora.pl/tuba2-1.mp3"),
new Station( "Chopin",
	     "http://stream7.radioagora.pl/tuba34-1.mp3"),
new Station( "WWWJazz",
	     "stream6.radioagora.pl/tuba29-1.mp3"),
new Station( "Madonna",
	     "http://www.tuba.fm/stream.pls?radio=26")
);

categories["Radio Fabryka"] = new Array (
new Station( "Radio Fabryka",
             "http://195.191.180.5:8000", "Radio Fabryka" )
);

categories["Radio Ziemi Wieluńskiej"] = new Array (
new Station( "Radio ZW",
             "http://stream2.nadaje.com:8022/listen.pls", "Radio ZW" )
);

categories["Ulicznik"] = new Array (
new Station( "Otwarty Garaż",
             "http://ulicznik.radyjko.de:7500"),
new Station( "Rudeboys' Radio",
             "http://ulicznik.radyjko.de:7100"),
new Station( "Punkowe Archiwum",
             "http://ulicznik.radyjko.de:7200"),
new Station( "Kingston Radio",
             "http://ulicznik.radyjko.de:7300"),
new Station( "Rockoteka",
             "http://ulicznik.radyjko.de:7400"),
new Station( "Zadyma",
             "http://ulicznik.radyjko.de:7700"),
new Station( "Wzmacniacz",
             "http://ulicznik.radyjko.de:7800"),
new Station( "Whisky Bar",
             "http://ulicznik.radyjko.de:7600"),
new Station( "Extra",
             "http://ulicznik.radyjko.de:7900"),
new Station( "Główny",
             "http://ulicznik.radyjko.de:7000"),
new Station( "Nie po linii",
             "http://ulicznik.radyjko.de:7950")
);

categories["Radio Ławeczka"] = new Array (
new Station( "Radio Ławeczka",
             "http://80.51.77.177:8080")
);

categories["Śląskie Radio"] = new Array (
new Station( "Śląskie Radio",
             "http://91.121.211.203:8030")
);

categories["Radio Wałcz"] = new Array (
new Station( "Radio Wałcz",
             "http://radiowalcz.pl:8000")
);

categories["Radio Derf"] = new Array (
new Station( "Polski Blues",
             "http://91.121.119.60:8020"),
new Station( "Radio Derf",
             "http://91.121.119.60:8009/")
);

categories["Hit Oława"] = new Array (
new Station( "Hit Oława",
             "http://stream2.nadaje.com:8090/")
);

categories["RapGra"] = new Array (
new Station( "RapGra",
             "http://94.23.14.203:8000/" )
);

categories["Radio El"] = new Array (
new Station( "Radio El",
             "http://shot2.inten.pl:8778/" )
);

categories["Radio Patmos"] = new Array (
new Station( "Radio Patmos",
             "http://sc3.soundcast.pl:8442/" )
);

categories["Top 80"] = new Array (
new Station("Top 80",
	    "http://radio.top80.pl:9940/")
);

categories["Radio Nadaje"] = new Array (
new Station("Club",
	    "http://stream2.nadaje.com:8072"),
new Station("Black",
	    "http://stream2.nadaje.com:8058"),
new Station("D&B",
	    "http://stream.nadaje.com:8018"),
new Station("Screenagers",
	    "http://stream.nadaje.com:8006"),
new Station("Golem",
	    "http://stream2.nadaje.com:8098"),
new Station("Dubstep",
	    "http://stream2.nadaje.com:8018"),
new Station("Asymmetry",
	    "http://stream2.nadaje.com:8666"),
new Station("World",
	    "http://stream.nadaje.com:8068"),
new Station("Chillout",
	    "http://stream2.nadaje.com:8004")
);

categories["Mysłowice.fm"] = new Array (
new Station("Mysłowice.fm",
	    "http://94.23.22.121:8500")
);

categories["Top Radio"] = new Array (
new Station("Open",
	    "http://s6.radiohost.pl:8052/"),
new Station("Rock",
	    "http://s6.radiohost.pl:8046/"),
new Station("Folk",
	    "http://s6.radiohost.pl:8300/")
);

categories["TEAMradio"] = new Array (
new Station("Autorski",
	    "http://emiter.teamradio.pl:8095"),
new Station("@Lite",
	    "http://emiter.teamradio.pl:8086")
);

categories["Radio Glob"] = new Array (
new Station ("Największe Złote Przeboje",
	     "mms://kocka.limemedia.cz/myabradio56?WMContentBitrate=40000"),
new Station ("Radio Glob",
	     "http://kocka.limemedia.cz:8000/glob64.mp3"),
new Station ("Bounce",
	     "mms://kocka.limemedia.cz/myabradio58?WMContentBitrate=40000"),
new Station ("Rock",
	     "mms://kocka.limemedia.cz/myabradio57?WMContentBitrate=40000")
);

categories["ProRock"] = new Array (
new Station ("ProRock",
	     "http://94.23.22.121:8666")
);

categories["Elstacja"] = new Array (
new Station ("Elstacja",
	      "http://elstacja.multinet.net.pl:8000/elstacja.ogg")
);

categories["Radio Woodstok"] = new Array (
new Station ("Radio Woodstok",
	     "http://89.171.110.187:8000/")
);

categories["Folk Radio"] = new Array (
new Station ("Folk Radio",
	     "http://sc3.soundcast.pl:8084/listen.pls")
);

categories["Supernova"] = new Array (
new Station ("Supernova",
	     "http://94.23.22.121:8310/")
);

categories["IRN Nasielsk"] = new Array (
new Station ("Kanał główny",
             "http://s4.radiohost.pl:8822/"),
new Station ("Disco Polo",
	     "http://s4.radiohost.pl:9090/")
);

categories["Slonsky Radio"] = new Array (
new Station ("Slonsky Radio",
	     "http://80.190.240.71:8000/listen.pls")
);	     

categories["Radio Widoczek"] = new Array (
new Station ("Radio Widoczek",
	     "http://sc1.readycast.org:8302/")
);   

categories["Radio Marconi"]= new Array (
new Station( "Radio Marconi",
	   "http://stream3.nadaje.com:8078")
);

categories["RadioSopocki"]= new Array (
new Station( "RadioSopocki",
	     "http://www.radiosopocki.pl:8000/")
);

categories["Radio Wnet"] = new Array (
new Station( "Radio Wnet",
	     "http://188.165.213.204:8000/")
);	     

categories["Radio 90"] = new Array (
new Station( "Radio 90",
	     "http://streams.radio90.pl:8000/radio90_96kbps_stereo.mp3")
);

categories["Radio Mazury"] = new Array (
new Station( "Radio Mazury",
	     "http://stream.nadaje.com:8010/")
);	     

categories["Radio Rekord"] = new Array (
new Station( "Radio Rekord",
	     "mms://195.225.76.69:1010")
);

categories["Radio Muza80"] = new Array (
new Station( "Radio Muza80",
	     "http://s5.radiohost.pl:8054/")
);

categories["RadioParty"] = new Array (
new Station( "Radio Party",
	     "http://94.23.226.202:8000"),
new Station( "DjMixes",
	     "http://djmixes.radioparty.pl:8035"),
new Station( "House",
	     "http://house.radioparty.pl:8010"),
new Station( "Trance",
	     "http://trance.radioparty.pl:8015"),
new Station( "DnB",
	     "http://dnb.radioparty.pl:8005"),
new Station( "HardStyle",
	     "http://hardstyle.radioparty.pl:8020"),
new Station( "VocalTrance",
	     "http://vocal.trance.radioparty.pl:8025"),
new Station( "Chillout",
	     "http://chillout.radioparty.pl:8030")
);
categories["Radio FaMa"] = new Array (
new Station( "Kielce",
	     "http://stream2.nadaje.com:8076/"),
new Station( "Tomaszów",
	     "http://stream2.nadaje.com:8078/"),
new Station( "Wołomin",
	     "http://stream3.nadaje.com:8096/"),
new Station( "Słupsk",
	     "http://stream3.nadaje.com:9024/")
);

function RadioPL()
{
    Amarok.debug( "" );
    ScriptableServiceScript.call( this, "Radio Poland", 2,
      "Polskie Stacje Radiowe", 
      "Strumienie Radiowe", 
      true);
    Amarok.debug( "done." );
}

function onConfigure()
{
    Amarok.alert( "Ten skrypt nie wymaga konfiguracji." );
}

function onPopulating( level, callbackData, filter )
{
    filter = filter.replace( /%20/g, " " );
    filter = filter.replace( /\s$/, '' );
    currentFilter = filter.toLowerCase();
    
    if ( level == 1 ) 
    {
        for( att in categories )
        {	
	    hasSearchedItem = false;
	    item = Amarok.StreamItem;
	    item.level = 1;
	    item.callbackData = att;
	    item.itemName = att;
	    item.playableUrl = "";
	    item.infoHtml = "";
	    
	     for( i = 0; i < categories[att].length; i++ )
	      {
		if( filterMatch( categories[att][i].name ))
		  { hasSearchedItem = true; break; }
	      }
	      
	     if( filter="" || hasSearchedItem || filterMatch( att ))
	      script.insertItem( item );

        }
        script.donePopulating();

    }
    else if ( level == 0 ) 
    {
	Amarok.debug( " Szukanie stacji..." );
	//add the station streams as leaf nodes
	
	var addAll = false;
	var stationArray = categories[callbackData];
	
	if( currentFilter=="" || filterMatch( callbackData ))
		addAll = true;
	
	for ( i = 0; i < stationArray.length; i++ )
	{	
		item = Amarok.StreamItem;
		item.level = 0;
		item.callbackData = "";
		item.itemName = stationArray[i].name;
		item.playableUrl = stationArray[i].url;
		item.infoHtml = stationArray[i].description;
		item.artist = "";
		if( addAll || filterMatch( stationArray[i].name ))
			script.insertItem( item );
	}
	script.donePopulating();
    }
}

function filterMatch( text ) {
	
	if( text.toLowerCase().indexOf( currentFilter ) != -1 )
		return true;
	return false;
	
}

Amarok.configured.connect( onConfigure );

script = new RadioPL();
script.populate.connect( onPopulating );
